TagLib::RIFF::AIFF::Properties Class Reference

An implementation of audio property reading for AIFF. More...

`#include <aiffproperties.h>`

Inheritance diagram for TagLib::RIFF::AIFF::Properties:
[legend]
Collaboration diagram for TagLib::RIFF::AIFF::Properties:
[legend]

## Public Member Functions

| Properties (File *file, ReadStyle style)
| ~Properties () override
| Properties (const Properties &)=delete
Properties & | operator= (const Properties &)=delete
int | lengthInMilliseconds () const override
int | bitrate () const override
int | sampleRate () const override
int | channels () const override
int | bitsPerSample () const
unsigned int | sampleFrames () const
bool | isAiffC () const
ByteVector | compressionType () const
String | compressionName () const
Public Member Functions inherited from TagLib::AudioProperties
virtual | ~AudioProperties ()
| AudioProperties (const AudioProperties &)=delete
AudioProperties & | operator= (const AudioProperties &)=delete
virtual TAGLIB_DEPRECATED int | length () const
virtual int | lengthInSeconds () const

## Additional Inherited Members

Public Types inherited from TagLib::AudioProperties
enum | ReadStyle { Fast , Average , Accurate }
Protected Member Functions inherited from TagLib::AudioProperties
| AudioProperties (ReadStyle style)

## Detailed Description

An implementation of audio property reading for AIFF.

This reads the data from an AIFF stream found in the AudioProperties API.

## Constructor & Destructor Documentation

## Properties() [1/2]

TagLib::RIFF::AIFF::Properties::Properties | ( | File * | file,
|  | ReadStyle | style )

Create an instance of AIFF::Properties with the data read from the AIFF::File file.

Referenced by operator=(), and Properties().

## ~Properties()

TagLib::RIFF::AIFF::Properties::~Properties | ( |  | ) |

override

Destroys this AIFF::Properties instance.

## Properties() [2/2]

TagLib::RIFF::AIFF::Properties::Properties | ( | const Properties & |  | ) |

delete

References Properties().

## Member Function Documentation

## bitrate()

int TagLib::RIFF::AIFF::Properties::bitrate | ( |  | ) | const

override virtual

Returns the average bit rate of the file in kb/s.

Reimplemented from TagLib::AudioProperties.

## bitsPerSample()

int TagLib::RIFF::AIFF::Properties::bitsPerSample | ( |  | ) | const

Returns the number of bits per audio sample.

## channels()

int TagLib::RIFF::AIFF::Properties::channels | ( |  | ) | const

override virtual

Returns the number of audio channels.

Implements TagLib::AudioProperties.

## compressionName()

String TagLib::RIFF::AIFF::Properties::compressionName | ( |  | ) | const

Returns the concrete compression name of the AIFF-C file.

If the file is in AIFF format, always returns an empty string.

See also
  isAiffC()

References TAGLIB_MSVC_SUPPRESS_WARNING_NEEDS_TO_HAVE_DLL_INTERFACE.

## compressionType()

ByteVector TagLib::RIFF::AIFF::Properties::compressionType | ( |  | ) | const

Returns the compression type of the AIFF-C file. For example, "NONE" for not compressed, "ACE2" for ACE 2-to-1.

If the file is in AIFF format, always returns an empty vector.

See also
  isAiffC()

## isAiffC()

bool TagLib::RIFF::AIFF::Properties::isAiffC | ( |  | ) | const

Returns `true` if the file is in AIFF-C format, `false` if AIFF format.

## lengthInMilliseconds()

int TagLib::RIFF::AIFF::Properties::lengthInMilliseconds | ( |  | ) | const

override virtual

Returns the length of the file in milliseconds.

See also
  lengthInSeconds()

Reimplemented from TagLib::AudioProperties.

## operator=()

Properties & TagLib::RIFF::AIFF::Properties::operator= | ( | const Properties & |  | ) |

delete

References Properties().

## sampleFrames()

unsigned int TagLib::RIFF::AIFF::Properties::sampleFrames | ( |  | ) | const

Returns the number of sample frames

## sampleRate()

int TagLib::RIFF::AIFF::Properties::sampleRate | ( |  | ) | const

override virtual

Returns the sample rate in Hz.

Reimplemented from TagLib::AudioProperties.

The documentation for this class was generated from the following file:

- aiffproperties.h